﻿@model Order


@{
    
    string urlAddress = string.Empty;
}
<p><strong>In order to complete this order, you must fill out the following forms:</strong></p>
<table width="100%" cellpadding="1">
    <thead>
        <tr style="border:1px solid #ddd;">
            <th style="padding: 5px 10px;">Participant</th>
            <th style="padding: 5px 10px;">Form name</th>
            <th style="padding: 5px 10px;">Link</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var orderItem in Model.RegularOrderItems)
        {
            if (orderItem.FollowupForms != null && orderItem.FollowupForms.Count > 0)
            {
                foreach (var form in orderItem.FollowupForms)
                {
                    if (form.FormType != FormType.UploadForm)
                    {
                        urlAddress = string.Format("{0}/FollowupForm/CompleteForm?fId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);
                        <tr style="border:1px solid #ddd;padding: 5px 10px;">
                            <td style="padding: 0px 10px;white-space: nowrap;">@orderItem.FullName</td>
                            <td style="padding: 0px 10px;">@form.FormName</td>
                            <td style="padding: 0px 10px;">
                                <a href="@urlAddress" style="white-space: nowrap;">View form</a>
                            </td>
                        </tr>
                    }
                    else
                    {
                        urlAddress = string.Format("{0}/FollowupForm/DownloadForm?fId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);
                        var urlAddressupload = string.Format("{0}/FollowupForm/UploadFollowUpForm?formId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);

                        <tr style="border:1px solid #ddd;padding: 5px 10px;">
                            <td style="padding: 0px 10px;white-space: nowrap;">@orderItem.FullName</td>
                            <td style="padding: 0px 10px;">@form.FormName</td>
                            <td style="padding: 0px 10px;">
                                <a href="@urlAddress" style="white-space: nowrap;">Download form</a>
                            </td>
                            <td style="padding: 0px 10px;">
                                <a href="@urlAddressupload" style="white-space: nowrap;">Upload form</a>
                            </td>
                        </tr>
                    }
                }
            }
        }
    </tbody>
</table>
